USE [cos15003_Piping]
GO

/****** Object:  View [dbo].[CMSA_NVSData]    Script Date: 09/16/2015 07:31:11 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO



ALTER VIEW [dbo].[CMSA_NVSData]
AS

--SELECT * from CMSA_ComponentRegistry


SELECT     EntityProperties.EntityHandle,
EntityProperties.PnPGuid,
EntityProperties.PnPID,
EngineeringItems_PNP.PnPClassName,
Pipe_PNP.LineNumberTag,
Pipe_PNP.[Required Spec],
Pipe_PNP.Shop_Field,
Pipe_PNP.SpoolNumber,
COALESCE (PipeRunComponent_PNP.Tag, Equipment_PNP.Tag) AS Tag,
Pipe_PNP.TieInNumber,
PipeRunComponent_PNP.Unit,
COALESCE (EngineeringItems_PNP.Material, '') AS Material,
COALESCE (EngineeringItems_PNP.Weight, COALESCE (StructureMember_PNP.Weight, '')) as Weight,
EngineeringItems_PNP.Spec,
EngineeringItems_PNP.MaterialCode,
Pipe_PNP.InsulationSpec,
Pipe_PNP.InsulationThickness,
Pipe_PNP.InsulationType,
Pipe_PNP.TracingSpec,
Pipe_PNP.TracingType,
Pipe_PNP.Service,
COALESCE (EngineeringItems_PNP.PartSizeLongDesc, COALESCE (StructureMember_PNP.PartSizeLongDesc, null)) AS LongDescr,
CMSA_BoltsGaskets.GasketDescription,
CMSA_BoltsGaskets.BoltSetDescription,

--CMSA_BoltsGaskets.GasketDescription,
--CMSA_BoltsGaskets.BoltDescription,
COALESCE (Pipe_PNP.Length, COALESCE (StructureMember_PNP.Length, '')) AS Length,
StructureMember_PNP.ColumnID,
StructureMember_PNP.Size,
P3dConnector_PNP.JointType,
EntityProperties.ModelName,
EntityProperties.ModelPath,
EntityProperties.ModelID AS ModelID,
EntityProperties.CreatedBy,
EntityProperties.CreatedDate

--EntityProperties.Area
FROM         (SELECT   Distinct  CMSA_ComponentRegistry.EntityHandle,
CMSA_ComponentRegistry.PnPGuid,
CMSA_ComponentRegistry.PnPID,
CMSA_ComponentRegistry.CreatedBy,
CMSA_ComponentRegistry.CreatedDate,
Drawings.[Dwg Name] AS ModelName,

  Drawings.Path AS ModelPath,
Drawings.PnPID AS ModelID--,
--ComponentArea.Area
 FROM          CMSA_ComponentRegistry left outer JOIN

  PnPDrawings_PNP AS Drawings ON CMSA_ComponentRegistry.ModelID = Drawings.PnPID ) AS EntityProperties left outer JOIN

EngineeringItems_PNP ON EntityProperties.PnPID = EngineeringItems_PNP.PnPID  left outer JOIN

P3dConnector_PNP ON EntityProperties.PnPID = P3dConnector_PNP.PnPID  left outer JOIN

StructureMember_PNP ON EntityProperties.PnPID = StructureMember_PNP.PnPID  left outer JOIN

Equipment_PNP ON EntityProperties.PnPID = Equipment_PNP.PnPID  left outer JOIN

PipeRunComponent_PNP ON EntityProperties.PnPID = PipeRunComponent_PNP.PnPID  left outer JOIN

Pipe_PNP ON EntityProperties.PnPID = Pipe_PNP.PnPID left outer join

CMSA_BoltsGaskets on (EntityProperties.EntityHandle = CMSA_BoltsGaskets.EntityHandle AND EntityProperties.ModelID = CMSA_BoltsGaskets.ModelID)






GO


